package com.palmnest.webapp.quartz;

import com.palmnest.service.estateserve.ScWxuserManager;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 更新微信用户资料信息
 *
 * @author yubing
 * @since 2017-07-28 16:49:00
 */
@Slf4j
@Component("updateWxUserInfoTimerTask")
public class UpdateWxUserInfoTimerTask {


	@Autowired
	private ScWxuserManager scWxuserManager;

	public void run() {

		log.info("quartz into updateWxUserInfoTimerTask ...");
		scWxuserManager.updateAllWxUserInfo();
		log.info("quartz into updateWxUserInfoTimerTask end ...");

	}
}
